Skip to main content

SHIELDEX File 6.0 - Time Zone Detail Code Statistics API Specification (GET /statistics/detail-code)

# SHIELDEX File 6.0 - Time Zone Detail Code Statistics API Specification (GET /statistics/detail-code)

Query Period(from ~ to) The demining results that occurred during1 hour unitGroup by, for each time zonedetailCodeStar Count(count0 ~ count3, count-1returning as a JSON ArrayCustomer Integration Statistics APISpecification.

itemvalue
Document Version6.2026.0813.01
Related Documentsrole
Declassification Result Response Specification (detailCode)detailCodeDefinition · SSOT of Calculation Rules
Decontamination Logarithm TablelogReason/ ResultcodeDefinition of SSOT

GuideThis API'sdetailCodeThe calculation rules are in the above result response specification (§6) andcompletely identicalThis document is thatdetailCodeDefines only the statistical endpoint that provides aggregated data by time zone.


1. Request Specification (Request)

itemvalue
MethodGET
Path/statistics/detail-code
Actual call URLhttp://{서버IP}:8060/statistics/detail-code(port 8060)
AuthenticationNo Token (Server-to-Server Integration)
Content-TypeNone (GET, query string)

Customer system isport 8060Calls with. There is no Context-Path.

1.1 Request Parameters

nametypeEssentialformatExplanation
fromStringEssentialyyyyMMddHHmmss(14 characters)Start Date and Time (this timeincluded)
toStringEssentialyyyyMMddHHmmss(14 characters)End of Inquiry Date and Time (This timeincluded)
itemrules
formatfrom / tois14-digit number
ErrorNot a valid date and time orfrom > toback400
Query CriteriaDecontaminationRequest Time

1.2 Request Example

GET /statistics/detail-code?from=20260727090000&to=20260727105959
itemvalue
meaning2026-07-27 09:00:00 ~ 10:59:59Statistics of the period

2. Response Specification

Data within the query period1 hour unit(yyyyMMddHH0000**)**Group by and for each time zonedetailCodeReturns the occurrence count of __PH_0__.

itemvalue
Response FormatJSON Array
HTTP Status200 OK

2.1 Field Description

KEYTYPEExplanation
dateStringStandard time for the corresponding time zone (yyyyMMddHH0000)
count0NumberdetailCode = 0(No Hazard Factors/Safe) Count
count1NumberdetailCode = 1(Risk factors present) Number of cases
count2NumberdetailCode = 2(Vaccine Detection) Count
count3NumberdetailCode = 3(Not Supported/Exceptions·Blocked) Count
count-1NumberdetailCode = -1(Error) Count
itemrules
Field Namecount + detailCodevalue (0count03count3, -1count-1)
Error AggregationdetailCode = -1count-1. count4not used
JSON Accesscount-1isobj["count-1"](point accessobj.count-1not possible)
No codeIf not available at that time0
Empty time slotsIncluded in the response without a request, all count is0
Sortingdateascending

2.2 Response Example

[
{
"date": "20260727090000",
"count0": 100,
"count1": 1,
"count2": 2,
"count3": 0,
"count-1": 0
},
{
"date": "20260727100000",
"count0": 100,
"count1": 2,
"count2": 5,
"count3": 0,
"count-1": 1
}
]
Time Zonemeaning
20260727090000(09:00)Safety 100 cases, 1 case with risk factors, 2 cases of vaccine detection
20260727100000(10 o'clock)Safety 100 cases, Risk factors present 2 cases, Vaccine detection 5 cases,Error 1 case (count-1)

3. detailCodecountMapping

detailCodeThe meaning and calculation rules areDecontamination Result Response Specification §6Wowsameand, this API has its value as followscountAggregate by bucket.

detailCodemeaningAggregation Bucket
0No hazards (Safety)count0
1Risk factors present (suspicion·warning·danger·tampering)count1
2Vaccine (Virus) Detectioncount2
3Unsupported Files (Exceptions·Blocked)count3
-1Errorcount-1
itemrules
Key Namingcount + detailCode (-1count-1)
Not in usecount4(code value is different). Not included in the response

3.1 Summary of Output Rules (Same as Result Specification)

First, apply the matching rules.

Priorityconditionresult
1Explicit Log ReasonBelowLogin Reason Table
2Reconstruction Complete (200000, 200001)belowRisk Level Table
3ErrordetailCode = -1count-1
4OthersdetailCode = 0count0

logReason → detailCode

Log ReasondetailCodeAggregation
2000040count0
200005, 200006, 200007, 220355, 230133, 2403551count1
9900032count2
210211, 230213, 2402153count3

Risk Level upon Completion of Reconstruction → detailCode (200000, 200001)

Risk Level (threatLevelCode)meaningdetailCodeAggregation
1safety0count0
2, 3, 4, 6Doubt · Warning · Danger · Tampering1count1
5serious2count2

4. Aggregation Logic

itemrules
Time Zone GroupingDecontamination request timeyyyyMMddHH0000Cutting with. Example)09:00:00 ~ 09:59:5920260727090000
Aggregation TargetOnly completed results (code ∈ {0, 1, 2}). In Progress(code = 3except
Empty time slotsCustomer feedbackfrom / toUse it as is. The section'sAll time zonesInclude in the response. If there is no request, count is all.0. Does not cut off the past, present, and future
Sortingdate(Timezone) Ascending
Aggregation Scopewithin the inquiry periodOverall Demilitarization Results

5. Error Response

HTTPconditionBody example
400 Bad Requestfrom/toMissing·Format error (not 14 digits·incorrect date and time)·from > to{ "code": 400, "message": "'from' is required (yyyyMMddHHmmss)" }
502 Bad GatewayServer internal processing failure{ "code": 502, "message": "statistics call failed: ..." }
{
"code": 400,
"message": "'from' must be 14 digits (yyyyMMddHHmmss): 202607270900"
}

6. Call Usage Example and Expected Results

Actual deployment server (e.g:10.10.12.226, port 8060·http) is a complete example of querying the period from 2026-07-27 09:00:00 to 10:59:59.

6.1 Address (URL) Call Example

http://10.10.12.226:8060/statistics/detail-code?from=20260727090000&to=20260727105959
itemvalue
host10.10.12.226Replace with the actual server
port8060
firewallCustomer System → Server8060/tcp

6.2 curl call example

curl -G "http://10.10.12.226:8060/statistics/detail-code" \
--data-urlencode "from=20260727090000" \
--data-urlencode "to=20260727105959"

6.3 Expected Result Example (200 OK)

This is an example response to the above request.09시big and10시Big Two Time ZonedetailCodeA star count will be returned.

[
{
"date": "20260727090000",
"count0": 100,
"count1": 1,
"count2": 2,
"count3": 0,
"count-1": 0
},
{
"date": "20260727100000",
"count0": 100,
"count1": 2,
"count2": 5,
"count3": 0,
"count-1": 1
}
]
Time Zonecount0count1count2count3count-1meaning
20260727090000 (09:00:00~09:59:59)1001200Safety 100, Risk Factors Present 1, Vaccine Detection 2
20260727100000 (10:00:00~10:59:59)1002501Safety 100, Risk factors present 2, Vaccine detection 5,Error 1

6.4 Parameter Error Example (400 Bad Request)

fromIf sent with less than 14 characters:

http://10.10.12.226:8060/statistics/detail-code?from=202607270900&to=20260727105959
{
"code": 400,
"message": "'from' must be 14 digits (yyyyMMddHHmmss): 202607270900"
}

7. Empty Time Slots · No Data Example

Even if there are no demining results completed within the inquiry period,Does not return an empty array. from / toAll time zones that belong to0Filling with the matter.

For example)from=20260727090000, to=20260727115959If there are no requests at 09:00 and 11:00 and data is only available at 10:00:

Time ZonedataResponse
09:00Noneall count0
10 o'clockexistsActual Count
11 o'clockNoneall count0
[
{
"date": "20260727090000",
"count0": 0,
"count1": 0,
"count2": 0,
"count3": 0,
"count-1": 0
},
{
"date": "20260727100000",
"count0": 100,
"count1": 2,
"count2": 5,
"count3": 0,
"count-1": 1
},
{
"date": "20260727110000",
"count0": 0,
"count1": 0,
"count2": 0,
"count3": 0,
"count-1": 0
}
]

Even if there is no data for the entire period, the same number of time zones will be used.count0~`count3·count-1` This returns an object that is 0.


8. Call Path

http://{서버IP}:8060/statistics/detail-code?from=yyyyMMddHHmmss&to=yyyyMMddHHmmss
itemvalue
port8060
Context-PathNone

Change History

dateDocument VersionContent
2026-08-136.2026.0813.01No empty time slots included. Error(detailCode = -1) iscount-1to aggregate (count4Unused). The response interval is the same as the request from / to. The calling URL is:8060/statistics/detail-code.
2026-08-066.2026.0806.05Initial Release —GET /statistics/detail-codeTime Zone Detail Code Statistics API